import interface
from vmware.nsx.cli import nsx_proxy_cli_pb2

# An interface class for pulling information from nsx proxy config and version
# mastership handshake status. All CLI commands associated with this CLI are
# generated straight from protobuf messages, so all we have to do is initialize
# the interface subclass with the correct module and stub.
class ProxyConfig(interface.Interface):

  def __init__(self):
    interface.Interface.__init__(self, nsx_proxy_cli_pb2, nsx_proxy_cli_pb2.ProxyConfigCliService_Stub)
